import Link from 'compendium/components/LinkWithHighlight';
import Sidebar from 'compendium/components/sidebar/SideBar';

const SurveySidebar = () => {
    return (
        <Sidebar survey>
            <h5 className="section-title">Management Links</h5>
            <Link to="/survey">
                <span>Survey Home</span>
            </Link>
            <Link to="/survey/admin/users">
                <span>Compendium User Management</span>
            </Link>

            <Link to="/survey/admin/surveys">
                <span>Compendium Survey Management</span>
            </Link>
        </Sidebar>
    )
}

export default SurveySidebar