"""Add valid field to survey response

Revision ID: 7d1a8783770d
Revises: 4b531785f8d4
Create Date: 2025-02-12 11:15:09.744560

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7d1a8783770d'
down_revision = '4b531785f8d4'
branch_labels = None
depends_on = None


def upgrade():
    with op.batch_alter_table('survey_response', schema=None) as batch_op:
        batch_op.add_column(sa.Column('valid', sa.Boolean(), nullable=False, server_default='false'))


def downgrade():
    with op.batch_alter_table('survey_response', schema=None) as batch_op:
        batch_op.drop_column('valid')
