"""update suborganization pk

Revision ID: 87344aecdca0
Revises: 1a00d446dff7
Create Date: 2024-02-26 17:23:10.846917

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '87344aecdca0'
down_revision = '1a00d446dff7'
branch_labels = None
depends_on = None


def upgrade():
    op.drop_constraint(None, 'sub_organization', type_='primary')
    op.create_primary_key(None, 'sub_organization', ['nren_id', 'year', 'organization', 'role'])


def downgrade():
    # revert to PK just on organization
    op.drop_constraint(None, 'sub_organization', type_='primary')
    op.create_primary_key(None, 'sub_organization', ['nren_id', 'year', 'organization'])
